Agent Governance Protocol
API ReferenceRegistry APIPolicy Sets

List policy sets

GET
/agp/policy-sets

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.registry.read, agp.registry.write

Query Parameters

regulatory_framework?string

Filter by regulatory framework (e.g. EU_AI_ACT_2024)

jurisdiction?string

Filter by jurisdiction (e.g. EU, GB)

status?string
attestation_level?string
limit?integer
cursor?string

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/agp/policy-sets"
{  "items": [    {      "type": "PolicySet",      "policy_set_id": "string",      "name": "string",      "version": "string",      "publisher": "string",      "regulatory_frameworks": [        "EU_AI_ACT_2024"      ],      "jurisdictions": [        "string"      ],      "ruleset_hash": "string",      "ruleset_engine": "opa",      "ruleset_engine_version": "string",      "ruleset_uri": "http://example.com",      "attestation_level": "unverified",      "certifying_body": "string",      "status": "active",      "effective_from": "2019-08-24T14:15:22Z",      "expires_at": "2019-08-24T14:15:22Z",      "supersedes": "string",      "created_at": "2019-08-24T14:15:22Z",      "signature": {        "alg": "string",        "kid": "string",        "issuer": "string",        "issued_at": "2019-08-24T14:15:22Z",        "payload_hash": "string",        "value": "string"      }    }  ],  "page": {    "next_cursor": "string",    "has_more": true  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}